Installer - Bug #13964

Installer scenario answers files not picked up foreman-debug
03/01/2016 03:41 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Martin Bacovsky
Category: foreman-installer script
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1326035 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3260
Description

foreman-debug (a subpackage of Foreman core) includes /etc/foreman/ which included installer answers files, but since #10369, it no
longer picks up the scenario answer files from /etc/foreman-installer/.

The foreman-installer package should probably install an extension script to pick up the contents of this directory.

Related issues:
Related to Installer - Feature #10369: As a developer, | want add support for... Closed 05/05/2015

Associated revisions

Revision 91e03409 - 03/03/2016 11:03 AM - Martin Bacovsky

Fixes #13964 - include installer scenarios in foreman-debug

Revision 6522be5e - 03/10/2016 10:56 AM - Martin Bacovsky

Fixes #13964 - include installer scenarios in foreman-debug

(cherry picked from commit 91e03409b474b3e815cddfab8aa3ce9dce9f46ff)

History

#1 - 03/01/2016 03:41 AM - Dominic Cleal

- Related to Feature #10369: As a developer, | want add support for installer extensions (plugins) that support scenarios added

#2 - 03/01/2016 04:18 AM - Martin Bacovsky
- Status changed from New to Assigned

- Assignee set to Martin Bacovsky

#3 - 03/01/2016 09:38 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3260 added

#4 - 03/03/2016 12:02 PM - Martin Bacovsky
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset foreman:91e03409b474b3e815cddfab8aa3ce9dce9f46ff.

#5 - 04/11/2016 11:55 AM - Bryan Kearney
- Bugzilla link set to 1326035
